## com.google.appengine.api.urlfetch
Class HTTPHeader

    java.lang.Object
      com.google.appengine.api.urlfetch.HTTPHeader

All Implemented Interfaces:
  java.io.Serializable

    public class HTTPHeader

extends java.lang.Object
implements java.io.Serializable

`HTTPHeader` can represent either an HTTP request header, or an HTTP response header.

See Also:
  Serialized Form

Constructor Summary
`HTTPHeader(java.lang.String name, java.lang.String value)` Creates a new header with the specified name and value.

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getValue()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPHeader

    public HTTPHeader(java.lang.String name,
                      java.lang.String value)

  Creates a new header with the specified name and value.

  Parameters:
    `name` - a not `null` name
    `value` - may be a single value or a comma-separated list of values for multivalued headers such as `Accept` or `Set-Cookie`.

Method Detail

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()